# Tableflow

This API provides programmatic management of Tableflow tables.

#### Table Lifecycle

* **Creation:** Managed automatically by the Tableflow Control Plane. Tables are provisioned when topics matching the pipeline configuration are discovered.
* **Management:** Use these endpoints to list active tables, inspect metadata, or delete tables.
* **Recreation:** Deleting a table via the API removes its metadata. If the topic remains in the configuration, Tableflow will provision a new table with a fresh UUID on the next discovery cycle.

{% hint style="warning" %}
**Data Retention:** Deleting a table via API only removes the metadata tracked by WarpStream control plane. It does not delete physical data files from your object storage.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.warpstream.com/warpstream/reference/api-reference/tableflow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
